org.cpsolver.studentsct.heuristics.selection

## Class UnassignedRequestSelection

- java.lang.Object
- - org.cpsolver.studentsct.heuristics.selection.UnassignedRequestSelection

- All Implemented Interfaces:
    VariableSelection<Request,Enrollment>

      public class UnassignedRequestSelection
      extends Object
      implements VariableSelection<Request,Enrollment>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected StudentFilter` | `iFilter`
    `protected int` | `iNrRounds`
    `protected Queue<Request>` | `iRequests`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnassignedRequestSelection()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StudentFilter` | `getFilter()` Only consider students meeting the given filter.
    `void` | `init(Solver<Request,Enrollment> solver)` Initialization
    `protected Request` | `nextRequest(Solution<Request,Enrollment> solution)`
    `Request` | `selectVariable(Solution<Request,Enrollment> solution)` Variable selection
    `UnassignedRequestSelection` | `withFilter(StudentFilter filter)` Only consider students meeting the given filter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### iNrRounds

          protected int iNrRounds

    - #### iRequests

          protected Queue<Request> iRequests

    - #### iFilter

          protected StudentFilter iFilter

  - ### Constructor Detail

    - #### UnassignedRequestSelection

          public UnassignedRequestSelection()

  - ### Method Detail

    - #### init

          public void init(Solver<Request,Enrollment> solver)

      Description copied from interface: `VariableSelection`
      Initialization
      Specified by:
        `init` in interface `VariableSelection<Request,Enrollment>`
      Parameters:
        `solver` - current solver

    - #### selectVariable

          public Request selectVariable(Solution<Request,Enrollment> solution)

      Description copied from interface: `VariableSelection`
      Variable selection
      Specified by:
        `selectVariable` in interface `VariableSelection<Request,Enrollment>`
      Parameters:
        `solution` - current solution
      Returns:
        selected variable

    - #### nextRequest

          protected Request nextRequest(Solution<Request,Enrollment> solution)

    - #### getFilter

          public StudentFilter getFilter()

      Only consider students meeting the given filter.

    - #### withFilter

          public UnassignedRequestSelection withFilter(StudentFilter filter)

      Only consider students meeting the given filter.